Systemvorraussetzungen

Aus mySCP Wiki
Wechseln zu: Navigation, Suche

Um mySCP_v4 betreiben zu können müssen folgende Systemvoraussetzungen erfüllt sein.

Mit oder Ohne Plesk:
Debian 8 
PHP fähiger Linux Webspace mit Version 5.6.36, Phyton, Curl & PHP Curl
Installation von LibSSH2 und PECL SSH2 (Rootzugang benötigt)
Mind. 200 MB freier Speicher (mehr empfohlen)
Mind. eine MySQL Datenbank
IonCube Loader muss installiert sein.
PHP 5.6 muss als FastCGI ausgeführt werden.
Sollten Sie im Shop auf Unterseiten oder beim aufrufen vom Admin / Kundencenter einen ERROR bekommen, hat ihr Webserver Probleme die .htaccess aufzurufen.



Empfehlenswert um den Autoupdater zu nutzen.

PHP-Unterstützung als FastCGI-Applikation ausführen.



Webspace oder eigener Server ?

Viele Kunden wollen mySCP auf gemietetem Webspace hosten, dies wird in 99% aller Fällen NICHT Funktionieren.
Sie benötigen idr. Rootzugang um z.B. SSH2 Installieren zu können.



Apache2 oder Verwaltungsoberfläche ?

Viele Kunden scheidern an einer reinen apache2 Installation da hier erweitertes Grundwissen verlangt wird.
Wir empfehlen unseren Kunden daher einen kleinen vServer mit einer Plesk Oberfläche, leicher können Sie sich das Leben nicht machen ;)



Unterordner oder Subdomain ?

Verwenden Sie bitte immer eine Subdomain und keine Unterordner, Sie werden mit Unterordnern immer Probleme haben.